package com.jasamedika.medifirst2000.service;

import java.util.List;
import java.util.Map;

import com.jasamedika.medifirst2000.dto.PegawaiSkGajiDto;

public interface PegawaiSKGajiService {
	Map<String,Object> save(PegawaiSkGajiDto vo);
	Map<String, Object> get(Integer pegawaiSkAsuransiId);
	List<Map<String, Object>> getByPegawaiId(Integer pegawaiId);
	List<Map<String, Object>> getAll();
	List<Map<String, Object>> getAllRuangan();
	List<Map<String, Object>> getAllPegawaiAktif();
	List<Map<String, Object>> getAllKomponenHarga();
	List<Map<String, Object>> getKomponenHargaByJenis(Integer idKomponenHarga);

}
